[PC-BSD Commits] r4178 - in pbibuild/modules/webbrowsers/firefox35: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Wed Jul 1 08:37:00 PDT 2009


Author: kris
Date: 2009-07-01 08:36:57 -0700 (Wed, 01 Jul 2009)
New Revision: 4178

Modified:
   pbibuild/modules/webbrowsers/firefox35/copy-files
   pbibuild/modules/webbrowsers/firefox35/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/webbrowsers/firefox35/pbi.conf
Log:

Fixed up firefox35 module



Modified: pbibuild/modules/webbrowsers/firefox35/copy-files
===================================================================
--- pbibuild/modules/webbrowsers/firefox35/copy-files	2009-07-01 15:12:26 UTC (rev 4177)
+++ pbibuild/modules/webbrowsers/firefox35/copy-files	2009-07-01 15:36:57 UTC (rev 4178)
@@ -43,6 +43,9 @@
 /usr/local/share/idl/firefox* share/idl/
 /usr/local/share/themes share/
 /usr/local/lib/libg* autolibs/
+/usr/local/lib/libcairo* autolibs/
+/usr/local/lib/libth* autolibs/
+/usr/local/lib/libO* autolibs/
 /usr/local/lib/libX* autolibs/
 /usr/local/lib/libSM* autolibs/
 /usr/local/lib/libI* autolibs/

Modified: pbibuild/modules/webbrowsers/firefox35/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/webbrowsers/firefox35/overlay-dir/PBI.SetupScript.sh	2009-07-01 15:12:26 UTC (rev 4177)
+++ pbibuild/modules/webbrowsers/firefox35/overlay-dir/PBI.SetupScript.sh	2009-07-01 15:36:57 UTC (rev 4178)
@@ -26,4 +26,12 @@
 ln -fs /Programs/${PROGDIR}/.sbin/firefox3 /Programs/bin/firefox3
 ln -fs /Programs/${PROGDIR}/.sbin/firefox3 /Programs/bin/firefox
 
+cat /boot/loader.conf | grep 'sem_load="YES"' >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  echo 'sem_load="YES"' >>/boot/loader.conf
+fi
+
+kldload sem >/dev/null 2>/dev/null
+
 echo "LAUNCHCLOSE: /Programs/bin/firefox3.sh"

Modified: pbibuild/modules/webbrowsers/firefox35/pbi.conf
===================================================================
--- pbibuild/modules/webbrowsers/firefox35/pbi.conf	2009-07-01 15:12:26 UTC (rev 4177)
+++ pbibuild/modules/webbrowsers/firefox35/pbi.conf	2009-07-01 15:36:57 UTC (rev 4178)
@@ -28,6 +28,8 @@
 OTHERPORT="/usr/ports/audio/esound
 /usr/ports/x11-fonts/dejavu
 /usr/ports/x11-themes/qtcurve-gtk2
+/usr/ports/devel/gconf2
+/usr/ports/x11/libXScrnSaver
 /usr/ports/www/firefox3-i18n"
 
 # Enter your custom make options here
@@ -35,6 +37,6 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
+BUILDKEY="03"
 
 export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY



More information about the Commits mailing list